using Kryz.CharacterStats.Examples;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ItemIndexer : MonoBehaviour
{
    #region Singleton
    private static ItemIndexer _instance;

    // Public reference to the singleton instance
    public static ItemIndexer Instance
    {
        get
        {
            return _instance;
        }
    }
    #endregion

    public List<Item> Items = new List<Item>();

    protected void Awake()
    {
        // Ensure there's only one instance
        if (_instance != null && _instance != this)
        {
            Destroy(gameObject);
            return;
        }

        // If this is the first instance, set it as the singleton
        _instance = this;
        DontDestroyOnLoad(gameObject);
    }
}
